[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

mplayer x86_64 FC3 Dependency problem



Hi All,
	A lack of understanding I think !!

I'm trying to install mplayer on Athlon64 m/c 
Linux shuttle64.ee.port.ac.uk 2.6.9-1.667 #1 Tue Nov 2 14:50:10 EST 2004 x86_64
x86_64 x86_64 GNU/Linux

libxmms.so.1 is shown as a missing dependency by yum - see below
I assume that the i386 version of xmms is required whereas
the x86-64 version is installed.
Is that a correct assumption ?

It does not seem a good idea to remove the 64 bit versions - so

If I copy the i386 version of libxmms.so.1 into
/usr/lib
together with the appropriate links

1. How can I then force yum to complete the install ?
2. Will mplayer work ?
3. Is this the right approach ?

Regards
John

[root shuttle64 ~]# rpm -qa|grep -i xmms
kdeaddons-xmms-3.3.0-2
xmms-1.2.10-9
xmms-flac-1.1.0-7
xmms-skins-1.2.10-9
xmms-devel-1.2.10-9
[root shuttle64 ~]# 
############################################################
[root shuttle64 ~]# rpm -ql xmms-1.2.10-9|grep -i libxmms.so.1
/usr/lib64/libxmms.so.1
/usr/lib64/libxmms.so.1.3.1
##############################################################
[root shuttle64 ~]# ls -l /usr/lib64/libxmms*
-rw-r--r--  1 root root 94214 Oct 13 21:21 /usr/lib64/libxmms.a
lrwxrwxrwx  1 root root    16 Nov 20 17:40 /usr/lib64/libxmms.so ->
libxmms.so.1.3.1
lrwxrwxrwx  1 root root    16 Nov 20 17:22 /usr/lib64/libxmms.so.1 ->
libxmms.so.1.3.1
-rwxr-xr-x  1 root root 65112 Oct 13 21:21 /usr/lib64/libxmms.so.1.3.1
###########################################################################
[root shuttle64 ~]# yum install mplayer
Setting up Install Process
Setting up Repo:  dag
repomd.xml                100% |=========================|  951 B    00:00
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  updates-released
repomd.xml                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
dag       : ################################################## 2189/2189
base      : ################################################## 2852/2852
updates-re: ################################################## 375/375
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package mplayer.i386 0:1.0-0.12.20041025.1.fc3.rf set to be installed
--> Running transaction check
--> Processing Dependency: libaa.so.1 for package: mplayer
--> Processing Dependency: libdvdread.so.3 for package: mplayer
--> Processing Dependency: libpostproc.so.0 for package: mplayer
--> Processing Dependency: liblzo.so.1 for package: mplayer
--> Processing Dependency: mplayer-fonts for package: mplayer
--> Processing Dependency: libmp3lame.so.0 for package: mplayer
--> Processing Dependency: libmad.so.0 for package: mplayer
--> Processing Dependency: libxvidcore.so.4 for package: mplayer
--> Processing Dependency: libdivxdecore.so.0 for package: mplayer
--> Processing Dependency: libxmms.so.1 for package: mplayer
--> Processing Dependency: libdivxencore.so.0 for package: mplayer
--> Processing Dependency: libfaad.so.0 for package: mplayer
--> Processing Dependency: libpostproc= 1.0-0.12.20041025.1.fc3.rf for
package: mplayer
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package aalib.i386 0:1.4.0-5.1.fc3.rf set to be installed
---> Package libdvdread.i386 0:0.9.4-5.1.fc3.rf set to be installed
---> Package libpostproc.i386 0:1.0-0.12.20041025.1.fc3.rf set to be installed
---> Package lzo.i386 0:1.08-3.1.fc3.rf set to be installed
---> Package mplayer-fonts.noarch 0:1.1-2.0.rf set to be installed
---> Package lame.i386 0:3.96.1-2.1.fc3.rf set to be installed
---> Package libmad.i386 0:0.15.1b-3.1.fc3.rf set to be installed
---> Package xvidcore.i386 0:1.0.2-2.1.fc3.rf set to be installed
---> Package divx4linux.i386 0:5.0.5-0.1.fc3.rf set to be installed
---> Package faad2.i386 0:2.0-2.20040923.1.fc3.rf set to be installed
--> Running transaction check
--> Processing Dependency: libdvdcss>= 1.2.5 for package: libdvdread
--> Processing Dependency: libxmms.so.1 for package: mplayer
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libdvdcss.x86_64 0:1.2.8-4.1.fc3.rf set to be installed
--> Running transaction check
--> Processing Dependency: libxmms.so.1 for package: mplayer
--> Finished Dependency Resolution
Error: missing dep: libxmms.so.1 for pkg mplayer
[root shuttle64 ~]#


Dr John Austin,
Principal Lecturer (Retired),
Department of Electronic and Computer Engineering,
University of Portsmouth,
Anglesea Road,
Portsmouth,
Hants P01 3DJ

Tel: 02392 842355 (Sometimes)

email ja +at- ee +dot- port +dot- ac +dot- uk
      ja +at- jaa +dot- org +dot- uk


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]